Subject: bug#24449: Emacs 25.1 RC2: Byte compiler reports error in wrong place.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Sep 2016 12:35:05 +0300

> Date: Sat, 17 Sep 2016 08:29:52 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> 5. The change I made yesterday appears not to have made anything any
>   worse.

Thanks, I guess that means you should push it.

> What I would suggest should get done: we should make the column numbers
> 0-based

This should be a separate change, and before doing it, we should make
sure to fix code that assumes the columns to be 1-based (e.g, what
does "C-x `" do?).

> suitable places to call `byte-compile-set-symbol-position' for
> the error messages we see should be identified, the calls inserted, and
> another bootstrap build done to see how much this helps.

Sounds a good idea, thanks.